org.apache.lucene.search

## Class Query

- java.lang.Object
- - org.apache.lucene.search.Query

- All Implemented Interfaces:
    Cloneable
  Direct Known Subclasses:
    BlendedTermQuery, BooleanQuery, BoostQuery, CachingWrapperQuery, ConstantScoreQuery, DisjunctionMaxQuery, FieldValueQuery, Filter, FilteredQuery, MatchAllDocsQuery, MatchNoDocsQuery, MultiPhraseQuery, MultiTermQuery, NGramPhraseQuery, PhraseQuery, SpanQuery, TermQuery

      public abstract class Query
      extends Object
      implements Cloneable

  The abstract base class for queries.

  Instantiable subclasses are:

  - `TermQuery`
  - `BooleanQuery`
  - `WildcardQuery`
  - `PhraseQuery`
  - `PrefixQuery`
  - `MultiPhraseQuery`
  - `FuzzyQuery`
  - `RegexpQuery`
  - `TermRangeQuery`
  - `NumericRangeQuery`
  - `ConstantScoreQuery`
  - `DisjunctionMaxQuery`
  - `MatchAllDocsQuery`

  See also the family of `Span Queries` and additional queries available in the Queries module

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Query()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Query` | `clone()` Deprecated. Cloning was only useful for modifying boosts. Now that `setBoost(float)` is deprecated, queries should be considered immutable.
    `Weight` | `createWeight(IndexSearcher searcher, boolean needsScores)` Expert: Constructs an appropriate Weight implementation for this query.
    `boolean` | `equals(Object obj)`
    `float` | `getBoost()` Deprecated. Use `BoostQuery` instead to apply boosts.
    `int` | `hashCode()`
    `Query` | `rewrite(IndexReader reader)` Expert: called to re-write queries into primitive queries.
    `void` | `setBoost(float b)` Deprecated. Use `BoostQuery` instead to apply boosts.
    `String` | `toString()` Prints a query to a string.
    `abstract String` | `toString(String field)` Prints a query to a string, with `field` assumed to be the default field and omitted.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Query

          public Query()

  - ### Method Detail

    - #### setBoost

          @Deprecated
          public void setBoost(float b)

      Deprecated. Use `BoostQuery` instead to apply boosts.
      Sets the boost for this query clause to `b`.

    - #### getBoost

          @Deprecated
          public float getBoost()

      Deprecated. Use `BoostQuery` instead to apply boosts.
      Gets the boost for this clause.

    - #### toString

          public abstract String toString(String field)

      Prints a query to a string, with `field` assumed to be the default field and omitted.

    - #### toString

          public final String toString()

      Prints a query to a string.
      Overrides:
        `toString` in class `Object`

    - #### createWeight

          public Weight createWeight(IndexSearcher searcher,
                            boolean needsScores)
                              throws IOException

      Expert: Constructs an appropriate Weight implementation for this query.

      Only implemented by primitive queries, which re-write to themselves.

      Parameters:
        `needsScores` - True if document scores (`Scorer.score()`) or match frequencies (`Scorer.freq()`) are needed.
      Throws:
        `IOException`

    - #### rewrite

          public Query rewrite(IndexReader reader)
                        throws IOException

      Expert: called to re-write queries into primitive queries. For example, a PrefixQuery will be rewritten into a BooleanQuery that consists of TermQuerys.
      Throws:
        `IOException`

    - #### clone

          @Deprecated
          public Query clone()

      Deprecated. Cloning was only useful for modifying boosts. Now that `setBoost(float)` is deprecated, queries should be considered immutable.
      Returns a clone of this query.
      Overrides:
        `clone` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.